tinyerp_server(1)

NAME
tinyerp_server - Server for Tiny ERP

SYNOPSIS
tinyerp_server.py [options]

DESCRIPTION
TinyERP is an Enterprise Resource Planning and Customer Relationship Management software package. It is developed to meet changing needs. The main functional features are: CRM and SRM, analytic and financial accounting, double-entry stock management, sales and purchases management, tasks automation, a help desk, marketing campaigns, and vertical modules for very specific businesses. Technical features include a distributed server, flexible workflows, an object database, a dynamic GUI, customizable reports, and a SOAP and XML-RPC interface.

OPTIONS

-h, --help
    Print this help message and exit.

--version
    Print the program's version number and exit.

-c FILE, --config=FILE
    Specify an alternate config file. By default, tinyerp server uses ~/.terp_serverrc

-s, --save
    Save the configuration to ~/.terp_serverrc. By default, the options given on the command line are not saved.

-p PORT, --port=PORT
    Specify the TCP port the server should use. By default, the server uses the port 8069.

--interface=INTERFACE
    Specify the network interface the server should be bound to. You probably want to set it to the IP address of the computer. By default, the server is bound to 'localhost' and thus can only accept connections from clients on the same computer.

-d DATABASE, --database=DATABASE
    Specify the database name (default terp).

-i MODULE, --init=MODULE
    Initialize a module (use "all" for all modules). Warning: this will erase the data concerning that module!

-u MODULE, --update=MODULE
    Update a module (use "all" for all modules).

--price_accuracy=PRICE_ACCURACY
    Specify the price accuracy.

-v, --verbose
    Enable verbose mode.

INTERNATIONALISATION OPTIONS
Use these options to translate Tiny ERP in another language. See the i18n section of the user manual. Option '-l' is mandatory.

-l LANGUAGE, --language=LANGUAGE
    Specify the language of the translation file. Use this option in combination with --i18n-export or --i18n-import.

--i18n-export=FILEPATH
    Export all sentences to be translated to FILEPATH.

--i18n-import=FILEPATH
    Import the CSV file at FILEPATH. It should contain the translations for the language specified with the -l option.

FILES
~/.terp_serverrc

AUTHORS
Tiny ERP is a product of Tiny.be (http://www.tiny.be)

SEE ALSO
terp_serverrc(5) tinyerp(1)
http://www.tinyerp.com : Tiny ERP functional description
http://www.tinyerp.org : Tiny ERP developer zone